/*==================================================================*/
/* Script generated with: MW Designer Version 4.10, Build 042       */
/* Project Filename: D:\Daten\DP60\DBS-Dev-40\dbs\student.sql       */
/* Project Name:     Projekt HS-Harz                                */
/* Author:           HS-Harz                                        */
/* DBMS:             Firebird-DBF                                   */
/* Copyright:        Copyright by ???                               */
/* Generated on:     19.06.2009 12:05:10                            */
/*==================================================================*/


/*==================================================================*/
/*  Tables                                                          */
/*==================================================================*/
CREATE TABLE STUDENT (
  MNR  INTEGER  NOT NULL,
  NAME  VARCHAR(50)  NOT NULL,
  UNUMMER  CHAR(6)  NOT NULL,
  STDG_NR  INTEGER  NOT NULL,

  CONSTRAINT PK_STD  PRIMARY KEY (MNR)
);

CREATE TABLE FB (
  FBNR  INTEGER  NOT NULL,
  KURZNAME  CHAR(4),
  NAME  VARCHAR(50),

  CONSTRAINT PK_FB  PRIMARY KEY (FBNR)
);

CREATE TABLE STUDIENGANG (
  STDG_NR  INTEGER  NOT NULL,
  NAME  VARCHAR(50)  NOT NULL,
  RAUM  INTEGER  DEFAULT 5102,
  FBNR  INTEGER  NOT NULL,

  CONSTRAINT PK_STDG  PRIMARY KEY (STDG_NR)
);




/*==================================================================*/
/*  Foreign Keys                                                    */
/*==================================================================*/
ALTER TABLE STUDENT ADD CONSTRAINT 
   FK_STUDIENGANG_STUDENT FOREIGN KEY (STDG_NR) REFERENCES STUDIENGANG(STDG_NR);


ALTER TABLE STUDIENGANG ADD CONSTRAINT 
   FK_FB_STUDIENGANG FOREIGN KEY (FBNR) REFERENCES FB(FBNR);






/*==================================================================*/
/*  Check-Constraints                                               */
/*==================================================================*/
ALTER TABLE STUDIENGANG
     ADD CONSTRAINT CH_RAUM CHECK (
  RAUM >0
);


/*==================================================================*/
/*  Indexes                                                         */
/*==================================================================*/






