﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace FbConsole {
    public partial class FOptions : Form {

        private bool retcode = false;

        public bool Retcode {
            get { return retcode; }
        }

        public FOptions(Form parent) {
            InitializeComponent();
            this.Owner = parent;  // Important, because CenterOwner            
            this.StartPosition = FormStartPosition.CenterParent;
            this.KeyPreview = true;
        }

        private void FOptions_Load(object sender, EventArgs e) {
            setGUI();
        }


        private void setGUI() {
            cbFontSizeMenue.Value = MyRegistry.MenuSize;
            cbFontSizeTree.Value = MyRegistry.ListboxSize;
            cbFontSizeListView.Value = MyRegistry.EditorSize;
            String path = Basis.getProgPath();
           
        }

        private void bnOk_Click(object sender, EventArgs e) {
            MyRegistry.MenuSize = (int)cbFontSizeMenue.Value;
            MyRegistry.ListboxSize = (int)cbFontSizeTree.Value;
            MyRegistry.EditorSize = (int)cbFontSizeListView.Value;
            retcode = true;
            Close();

        }

        private void bnEsc_Click(object sender, EventArgs e) {
            Close();
        }
    }
}
