﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FbConsole {
    class MyRegistry {

        private static int _menuSize = 14;
        private static int _listboxSize = 14;
        private static int _editorSize = 14;

        public static int MenuSize {
            set {
                if (value > 7) {
                    _menuSize = value;
                    Basis.WriteRegInt(Konstanten.C_REG_ADR, "MenuFontSize", _menuSize);
                }
            }
            get { return _menuSize; }
        }
        public static int ListboxSize {
            set {
                if (value > 7) {
                    _listboxSize = value;
                    Basis.WriteRegInt(Konstanten.C_REG_ADR, "ListboxSize", _listboxSize);
                }
            }
            get { return _listboxSize; }
        }

        public static int EditorSize {
            set {
                if (value > 7) {
                    _editorSize = value;
                    Basis.WriteRegInt(Konstanten.C_REG_ADR, "EditorSize", _editorSize);
                }
            }
            get { return _editorSize; }
        }

        public static void loadMyRegistry() {
            int size = Basis.ReadRegInt(Konstanten.C_REG_ADR, "MenuFontSize");
            if (size > 7) {
                _menuSize = size;
            }
            size = Basis.ReadRegInt(Konstanten.C_REG_ADR, "ListboxSize");
            if (size > 7) {
                _listboxSize = size;
            }
            size = Basis.ReadRegInt(Konstanten.C_REG_ADR, "EditorSize");
            if (size > 7) {
                _editorSize = size;
            }
        }

       

    }
}
